/*------------------------------------------------------------------------/
/RTC control module
/-------------------------------------------------------------------------/
/
/  Copyright (C) 2011, ChaN, all right reserved.
/
/ * This software is a free software and there is NO WARRANTY.
/ * No restriction on use. You can use, modify and redistribute it for
/   personal, non-profit or commercial products UNDER YOUR RESPONSIBILITY.
/ * Redistributions of source code must retain the above copyright notice.
/
/-------------------------------------------------------------------------*/

#include "chip.h"
#include "board.h"
#include "rtc.h"


int rtc_initialize (void)
{
  IP_RTC_TIME_T rtcTime;
  /* RTC Block section ------------------------------------------------------ */
  // Init RTC module
  Chip_RTC_Init();

  /* Set current time for RTC */
  // Current time is 8:00:00PM, 2012-08-02
	rtcTime.time[RTC_TIMETYPE_SECOND]     = 0;
	rtcTime.time[RTC_TIMETYPE_MINUTE]     = 0;
	rtcTime.time[RTC_TIMETYPE_HOUR]       = 20;
	rtcTime.time[RTC_TIMETYPE_DAYOFMONTH] = 2;
	rtcTime.time[RTC_TIMETYPE_MONTH]      = 8;
	rtcTime.time[RTC_TIMETYPE_YEAR]       = 2012;
  Chip_RTC_SetFullAlarmTime(&rtcTime);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_SECOND, 0);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_MINUTE, 0);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_HOUR, 20);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_MONTH, 8);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_YEAR, 2012);
//  Chip_RTC_SetTime (LPC_RTC, RTC_TIMETYPE_DAYOFMONTH, 2);
  /* Enable rtc (starts increase the tick counter and second counter register) */
  Chip_RTC_Enable(ENABLE);

  return 1;
}

int rtc_gettime (RTC *rtc)
{
	IP_RTC_TIME_T rtcTime;

	Chip_RTC_GetFullTime(&rtcTime);

	rtc->sec = rtcTime.time[RTC_TIMETYPE_SECOND];
	rtc->min = rtcTime.time[RTC_TIMETYPE_MINUTE];
	rtc->hour = rtcTime.time[RTC_TIMETYPE_HOUR];
	rtc->wday = rtcTime.time[RTC_TIMETYPE_DAYOFWEEK];
	rtc->mday = rtcTime.time[RTC_TIMETYPE_DAYOFMONTH];
	rtc->month = rtcTime.time[RTC_TIMETYPE_MONTH];
	rtc->year = rtcTime.time[RTC_TIMETYPE_YEAR];
  return 1;
}

int rtc_settime (const RTC *rtc)
{
	IP_RTC_TIME_T rtcTime;

	rtcTime.time[RTC_TIMETYPE_SECOND]     = rtc->sec;
	rtcTime.time[RTC_TIMETYPE_MINUTE]     = rtc->min;
	rtcTime.time[RTC_TIMETYPE_HOUR]       = rtc->hour;
	rtcTime.time[RTC_TIMETYPE_DAYOFMONTH] = rtc->wday;
	rtcTime.time[RTC_TIMETYPE_DAYOFMONTH] = rtc->mday;
	rtcTime.time[RTC_TIMETYPE_MONTH]      = rtc->month;
	rtcTime.time[RTC_TIMETYPE_YEAR]	      = rtc->year;

	Chip_RTC_GetFullTime(&rtcTime);

  return 1;
}


